### GET /v1/teams
Source: https://api.modjo.ai/v1/swagger.json
Retrieve modjo teams paginated.
```markdown
### Parameters
- **page** (number, query, required): The page number to retrieve. Starts at 1.
- **perPage** (number, query, required): The number of items per page.
### Responses
#### 400 - The request query you sent was not valid. Look in the response body for hints about what is incorrect.
The request query you sent was not valid. Look in the response body for hints about what is incorrect.
#### 401 - API key is missing or invalid.
API key is missing or invalid.
### Example Usage
```bash
curl -X GET "https://api.example.com/v1/teams?page=0&perPage=0"
```
```
--------------------------------
### GET /v1/users
Source: https://api.modjo.ai/v1/swagger.json
Retrieve modjo users paginated.
```markdown
### Parameters
- **page** (number, query, required): The page number to retrieve. Starts at 1.
- **perPage** (number, query, required): The number of items per page.
### Responses
#### 200 - The request has been successfully processed and the response includes a paginated result. Each entry in the result set corresponds to a user.
**ApiV1PublicGetUserPaginationResult**
- **pagination** (object) (required)
- **page** (number) (required): The page number to retrieve. Starts at 1.
- **perPage** (number) (required): The number of items per page.
- **nextPage** (number): The page number of the next set of results, if available. Undefined if there is no subsequent page.
- **totalValues** (number) (required): The total number of values available across all pages.
- **lastPage** (number) (required): The page number of the last set of results, indicating the total number of pages available.
- **values** (array (ApiV1PublicGetUserDto)) (required): Array of users for the current page.
Array items:
- **id** (number) (required): Id of the user
- **email** (string) (required): Email of the user
- **firstName** (string): First name of the user
- **lastName** (string): Last name of the user
- **hasLicense** (boolean) (required): true when the user has a license, false otherwise
- **role** (string (user|manager|admin)) (required): Role of the user ("user"|"manager"|"admin")
- **teamIds** (array (array)): An array of all teams the user is in. If you want more details about those teams, use the Get Modjo teams API.
- **language** (string): Considered language code of the user
#### 400 - The request query you sent was not valid. Look in the response body for hints about what is incorrect.
The request query you sent was not valid. Look in the response body for hints about what is incorrect.
#### 401 - API key is missing or invalid.
API key is missing or invalid.
### Example Usage
```bash
curl -X GET "https://api.example.com/v1/users?page=0&perPage=0"
```
```
--------------------------------
### POST /v1/calls
Source: https://api.modjo.ai/v1/swagger.json
Uploading a call to Modjo takes 2 steps, with two possible use cases:
1. **Use Case 1: Providing a Recording URL**
- Send a POST request to this endpoint with the metadata you want to attach to the call in Modjo, including the recording URL.
- You will receive an acknowledgement response with {success: true}.
- Modjo will download the recording from the provided URL within 30 minutes, typically within 5 minutes.
2. **Use Case 2: Receiving a Signed URL for Upload**
- Send a POST request to this endpoint with the metadata you want to attach to the call in Modjo.
- You will receive a signed URL to upload the recording file.
- Use this URL to upload your recording file with a PUT request.
In both use cases, the metadata about the call you sent in the first request will be automatically attached to the recording file in Modjo.
```markdown
### Request Body
**Content-Type:** application/json
- **recordingUrl** (string): URL containing your recording:
- Providing a URL here will change the response behavior. Instead of sending a response body with a special URL for upload, we will acknowledge your request with
{success: true}.
- If you wish to provide a pre-signed URL, you can do so, but please ensure that Modjo will be able to access and download the recording. Warning: The download process can take up to 30 minutes, although it is typically completed within 5 minutes.
- **contacts** (array (union)) (required): List of contact identifiers you want to map the call to. Identifiers can be either integer, string, or an object representing a CRM contact. (example: [1,"email@external.com","+33606060606",{"crm":"salesforce","crmId":"0035g00000KZcZ4AAL"}])
- **users** (array (union)) (required): List of users identifiers you want to map the call to. Identifiers can be of type integer or string.
Important: until a next release, a call can only be associated to one user. Thus, this array must only one value for now.
- **date** (string (date-time)) (required): ISO string
- **provider** (string (manual|alcatel|demodesk|modjo_physical_recorder|mobile_field_recorder|onoff|sipsim|modjo_batch_imports|webapp_manual_import)): Call provider name displayed on Modjo. Default value: manual.
If you are a Call company & you want your company name being displayed on Modjo, please contact us. ("manual"|"alcatel"|"demodesk"|"modjo_physical_recorder"|"mobile_field_recorder"|"onoff"|"sipsim"|"modjo_batch_imports"|"webapp_manual_import")
- **name** (string): The name you want to give to this call on Modjo
- **fileExtension** (string (wav|mp3|mpeg|m4a|mp4|webm)) (required): File extension of the recording file you will associate to this call. Supported values are listed below. ("wav"|"mp3"|"mpeg"|"m4a"|"mp4"|"webm")
- **direction** (string (inbound|outbound)): Call direction, whether it's an inbound or outbound call. Leave blank if not relevant (for a meeting for instance). ("inbound"|"outbound")
- **duration** (number): Duration in seconds of the call.
-
If the duration is specified (not 0), it must be greater than the minimum duration defined for the tenant.
If not modified, the minimum duration is set to 120 seconds
- Note: The actual audio file length will overwrite this value if they don't match.
- **tags** (array (union)) (required): Call Tags: An array of tags associated with the call, conforming to the ApiCallUploadTagDto structure.
Array items:
- **name** (string) (required): The label you'll see displayed within the app, also serving as a searchable keyword.
- **providerTagId** (string) (required): A unique identifier for your call tags. Use this ID for the ability to retroactively update the tag name or color across all imported calls.
- If you don't need this level of control, simply input the tag name.
- Caution: Generating a new unique ID for each call will result in the creation of a new tag.
- **color** (string): Tag Color: Specifies the color of the tag in the web application. Enter a 3 or 6 character hexadecimal color code, but omit the '#' symbol.
- **account** (object)
- **crmId** (string) (required): Unique identifier for the CRM account.
- **crm** (string (hubspot|pipedrive|salesforce|zoho|sellsy|microsoft_dynamics)) (required): The CRM provider (e.g., Salesforce, Hubspot). ("hubspot"|"pipedrive"|"salesforce"|"zoho"|"sellsy"|"microsoft_dynamics")
- **deal** (object)
### Responses
#### 200 - Your request has been accepted. Please refer to the description of each possible response to understand the next steps
- **uploadTo** (string) (required): Signed url to upload your call to. This URL is for single-use only, and remains valid for only 20 minutes.
#### 400 - The request body you sent was not valid. Look in the response body for hints about what is incorrect.
The request body you sent was not valid. Look in the response body for hints about what is incorrect.
#### 401 - API key is missing or invalid.
API key is missing or invalid.
### Example Usage
```bash
curl -X POST "https://api.example.com/v1/calls" \
-H "Content-Type: application/json" \
-d '{
"recordingUrl": "string",
"contacts": [
1,
"email@external.com",
"+33606060606",
{
"crm": "salesforce",
"crmId": "0035g00000KZcZ4AAL"
}
],
"users": [
"value"
],
"date": "2023-01-01T00:00:00Z",
"provider": "manual",
"name": "string",
"fileExtension": "wav",
"direction": "inbound",
"duration": "0",
"tags": [
"value"
],
"account": {
"crm": "salesforce",
"crmId": "0015g00002KZcZ5AAL"
},
"deal": {
"crm": "hubspot",
"crmId": "123456789"
}
}'
```
```
--------------------------------
### POST /v1/users/bulk
Source: https://api.modjo.ai/v1/swagger.json
Create a list of Modjo users from a list of email addresses. Additional properties can be defined for each user according to their information and usage.
Some points of attention:
- All team ids specified must exist on Modjo.
- All licenses specified must be available on Modjo.
- A user cannot be updated through this endpoint
```markdown
### Request Body
**Content-Type:** application/json
- **users** (array (CreateBulkUserDto)) (required): User list to create
Array items:
- **email** (string) (required): Email of the user to create (example: "john.doe@modjo.ai")
- **firstName** (string): First name of the user to create, if none is specified, the user will have to define one during his onboarding procedure (example: "John")
- **lastName** (string): Last name of the user to create, if none is specified, the user will have to define one during his onboarding procedure (example: "Doe")
- **hasLicense** (boolean): Assign a recording license to the user (the tenant must have an available license) (example: true)
- **role** (string (user|manager|admin)): The role of the user (example: "user") ("user"|"manager"|"admin")
- **teamIds** (array (number)): The Modjo team ids of the user (example: [1,2,3])
- **language** (string (en-US|fr-FR)): Language used to send onboarding emails (example: "fr-FR") ("en-US"|"fr-FR")
- **sendOnboardingEmail** (boolean): Send an onboarding email to the user (example: true)
### Responses
#### 400 - The request query you sent was not valid. Look in the response body for hints about what is incorrect.
The request query you sent was not valid. Look in the response body for hints about what is incorrect.
#### 401 - API key is missing or invalid.
API key is missing or invalid.
### Example Usage
```bash
curl -X POST "https://api.example.com/v1/users/bulk" \
-H "Content-Type: application/json" \
-d '{
"users": [
"value"
]
}'
```
```
--------------------------------
### API Overview: Modjo API V1
Source: https://api.modjo.ai/v1/swagger.json
⚠️ Modjo API V1 is deprecated
```yaml
# Modjo API V1
# Version: 1.0
⚠️ Modjo API V1 is deprecated
# Base URL: Not specified
```
--------------------------------
### Schema: CreateBulkUsersDto
Source: https://api.modjo.ai/v1/swagger.json
Schema definition for CreateBulkUsersDto
```markdown
## Schema: CreateBulkUsersDto
Schema definition for CreateBulkUsersDto
**Type:** object
- **users** (array (CreateBulkUserDto)) (required): User list to create
Array items:
- **email** (string) (required): Email of the user to create (example: "john.doe@modjo.ai")
- **firstName** (string): First name of the user to create, if none is specified, the user will have to define one during his onboarding procedure (example: "John")
- **lastName** (string): Last name of the user to create, if none is specified, the user will have to define one during his onboarding procedure (example: "Doe")
- **hasLicense** (boolean): Assign a recording license to the user (the tenant must have an available license) (example: true)
- **role** (string (user|manager|admin)): The role of the user (example: "user") ("user"|"manager"|"admin")
- **teamIds** (array (number)): The Modjo team ids of the user (example: [1,2,3])
- **language** (string (en-US|fr-FR)): Language used to send onboarding emails (example: "fr-FR") ("en-US"|"fr-FR")
- **sendOnboardingEmail** (boolean): Send an onboarding email to the user (example: true)
```
--------------------------------
### Schema: CreateBulkUserDto
Source: https://api.modjo.ai/v1/swagger.json
Schema definition for CreateBulkUserDto
```markdown
## Schema: CreateBulkUserDto
Schema definition for CreateBulkUserDto
**Type:** object
- **email** (string) (required): Email of the user to create (example: "john.doe@modjo.ai")
- **firstName** (string): First name of the user to create, if none is specified, the user will have to define one during his onboarding procedure (example: "John")
- **lastName** (string): Last name of the user to create, if none is specified, the user will have to define one during his onboarding procedure (example: "Doe")
- **hasLicense** (boolean): Assign a recording license to the user (the tenant must have an available license) (example: true)
- **role** (string (user|manager|admin)): The role of the user (example: "user") ("user"|"manager"|"admin")
- **teamIds** (array (number)): The Modjo team ids of the user (example: [1,2,3])
- **language** (string (en-US|fr-FR)): Language used to send onboarding emails (example: "fr-FR") ("en-US"|"fr-FR")
- **sendOnboardingEmail** (boolean): Send an onboarding email to the user (example: true)
```
--------------------------------
### Security: X-API-KEY
Source: https://api.modjo.ai/v1/swagger.json
To retrieve your API key please refer to the [Authentication](#tag/Authentication) section of this documentation.
```markdown
## Security: X-API-KEY
**Description:** To retrieve your API key please refer to the [Authentication](#tag/Authentication) section of this documentation.
**Type:** apiKey
```
--------------------------------
### Schema: ApiCallUploadCrmDealDto
Source: https://api.modjo.ai/v1/swagger.json
Schema definition for ApiCallUploadCrmDealDto
```markdown
## Schema: ApiCallUploadCrmDealDto
Schema definition for ApiCallUploadCrmDealDto
**Type:** object
- **crmId** (string) (required): Unique identifier for the CRM Deal.
- **crm** (string (hubspot|pipedrive|salesforce|zoho|sellsy|microsoft_dynamics)) (required): The CRM provider (e.g., Salesforce, Hubspot). ("hubspot"|"pipedrive"|"salesforce"|"zoho"|"sellsy"|"microsoft_dynamics")
```
--------------------------------
### Schema: ApiCallUploadDto
Source: https://api.modjo.ai/v1/swagger.json
Schema definition for ApiCallUploadDto
```markdown
## Schema: ApiCallUploadDto
Schema definition for ApiCallUploadDto
**Type:** object
- **recordingUrl** (string): URL containing your recording:
- Providing a URL here will change the response behavior. Instead of sending a response body with a special URL for upload, we will acknowledge your request with
{success: true}.
- If you wish to provide a pre-signed URL, you can do so, but please ensure that Modjo will be able to access and download the recording. Warning: The download process can take up to 30 minutes, although it is typically completed within 5 minutes.
- **contacts** (array (union)) (required): List of contact identifiers you want to map the call to. Identifiers can be either integer, string, or an object representing a CRM contact. (example: [1,"email@external.com","+33606060606",{"crm":"salesforce","crmId":"0035g00000KZcZ4AAL"}])
- **users** (array (union)) (required): List of users identifiers you want to map the call to. Identifiers can be of type integer or string.
Important: until a next release, a call can only be associated to one user. Thus, this array must only one value for now.
- **date** (string (date-time)) (required): ISO string
- **provider** (string (manual|alcatel|demodesk|modjo_physical_recorder|mobile_field_recorder|onoff|sipsim|modjo_batch_imports|webapp_manual_import)): Call provider name displayed on Modjo. Default value: manual.
If you are a Call company & you want your company name being displayed on Modjo, please contact us. ("manual"|"alcatel"|"demodesk"|"modjo_physical_recorder"|"mobile_field_recorder"|"onoff"|"sipsim"|"modjo_batch_imports"|"webapp_manual_import")
- **name** (string): The name you want to give to this call on Modjo
- **fileExtension** (string (wav|mp3|mpeg|m4a|mp4|webm)) (required): File extension of the recording file you will associate to this call. Supported values are listed below. ("wav"|"mp3"|"mpeg"|"m4a"|"mp4"|"webm")
- **direction** (string (inbound|outbound)): Call direction, whether it's an inbound or outbound call. Leave blank if not relevant (for a meeting for instance). ("inbound"|"outbound")
- **duration** (number): Duration in seconds of the call.
-
If the duration is specified (not 0), it must be greater than the minimum duration defined for the tenant.
If not modified, the minimum duration is set to 120 seconds
- Note: The actual audio file length will overwrite this value if they don't match.
- **tags** (array (union)) (required): Call Tags: An array of tags associated with the call, conforming to the ApiCallUploadTagDto structure.
Array items:
- **name** (string) (required): The label you'll see displayed within the app, also serving as a searchable keyword.
- **providerTagId** (string) (required): A unique identifier for your call tags. Use this ID for the ability to retroactively update the tag name or color across all imported calls.
- If you don't need this level of control, simply input the tag name.
- Caution: Generating a new unique ID for each call will result in the creation of a new tag.
- **color** (string): Tag Color: Specifies the color of the tag in the web application. Enter a 3 or 6 character hexadecimal color code, but omit the '#' symbol.
- **account** (object)
- **crmId** (string) (required): Unique identifier for the CRM account.
- **crm** (string (hubspot|pipedrive|salesforce|zoho|sellsy|microsoft_dynamics)) (required): The CRM provider (e.g., Salesforce, Hubspot). ("hubspot"|"pipedrive"|"salesforce"|"zoho"|"sellsy"|"microsoft_dynamics")
- **deal** (object)
```
--------------------------------
### Schema: ApiCallUploadCrmAccountDto
Source: https://api.modjo.ai/v1/swagger.json
Schema definition for ApiCallUploadCrmAccountDto
```markdown
## Schema: ApiCallUploadCrmAccountDto
Schema definition for ApiCallUploadCrmAccountDto
**Type:** object
- **crmId** (string) (required): Unique identifier for the CRM account.
- **crm** (string (hubspot|pipedrive|salesforce|zoho|sellsy|microsoft_dynamics)) (required): The CRM provider (e.g., Salesforce, Hubspot). ("hubspot"|"pipedrive"|"salesforce"|"zoho"|"sellsy"|"microsoft_dynamics")
```
--------------------------------
### Schema: ApiCallUploadDtoResponse
Source: https://api.modjo.ai/v1/swagger.json
Schema definition for ApiCallUploadDtoResponse
```markdown
## Schema: ApiCallUploadDtoResponse
Schema definition for ApiCallUploadDtoResponse
**Type:** object
- **uploadTo** (string) (required): Signed url to upload your call to. This URL is for single-use only, and remains valid for only 20 minutes.
```
--------------------------------
### Schema: ApiCallUploadCrmContactDto
Source: https://api.modjo.ai/v1/swagger.json
Schema definition for ApiCallUploadCrmContactDto
```markdown
## Schema: ApiCallUploadCrmContactDto
Schema definition for ApiCallUploadCrmContactDto
**Type:** object
- **crmId** (string) (required): Unique identifier for the CRM contact.
- **crm** (string (hubspot|pipedrive|salesforce|zoho|sellsy|microsoft_dynamics)) (required): The CRM provider (e.g., Salesforce, Hubspot). ("hubspot"|"pipedrive"|"salesforce"|"zoho"|"sellsy"|"microsoft_dynamics")
- **email** (string): The contact's email address.
- **phoneNumber** (string): The contact's phone number.
- **name** (string): The contact's full name.
```
--------------------------------
### Schema: ApiV1PublicGetUserDto
Source: https://api.modjo.ai/v1/swagger.json
Schema definition for ApiV1PublicGetUserDto
```markdown
## Schema: ApiV1PublicGetUserDto
Schema definition for ApiV1PublicGetUserDto
**Type:** object
- **id** (number) (required): Id of the user
- **email** (string) (required): Email of the user
- **firstName** (string): First name of the user
- **lastName** (string): Last name of the user
- **hasLicense** (boolean) (required): true when the user has a license, false otherwise
- **role** (string (user|manager|admin)) (required): Role of the user ("user"|"manager"|"admin")
- **teamIds** (array (array)): An array of all teams the user is in. If you want more details about those teams, use the Get Modjo teams API.
- **language** (string): Considered language code of the user
```
--------------------------------
### POST /v1/calls/exports
Source: https://api.modjo.ai/v1/swagger.json
This endpoint allows users to list their calls and load related data such as transcripts and summaries. Users can apply filters to tailor the call list according to their requirements and selectively load additional related data such as transcripts, summaries, contacts, users, tags, etc. Currently in beta: Some changes can be made to the model without upstream communication.
```markdown
### Request Body
**Content-Type:** application/json
- **pagination** (object)
- **page** (number) (required): The page number to retrieve. Starts at 1.
- **perPage** (number) (required): The number of calls per page.
- **filters** (object)
- **callStartDateRange** (object)
- **start** (string (date-time)) (required): Start date in ISO format
- **end** (string (date-time)) (required): End date in ISO format, which must be later than the start date
- **minimumCallDuration** (number): Minimum duration (in seconds) for calls to be included in the results.Calls with a duration greater than or equal to this value will be considered.This parameter is optional.
- **callTitle** (string): The title of the call, used for search queries. Providing a call title enables filtering the list of calls by their respective titles. This field is optional and requires a minimum length of 3 characters if specified.
- **callIds** (array (array)): Specifies a list of call IDs for filtering. Only calls with IDs in this list will be included in the results. This parameter is optional.
- **deletedRecording** (boolean): Retrieve all calls where the recording has been deleted.
- **relations** (object)
- **recording** (boolean): Load recordings. Optional, defaults to false.
- **contacts** (boolean): Load contacts. Optional, defaults to false.
- **account** (boolean): Load account related to the call. Optional, defaults to false.
- **deal** (boolean): Load deal related to the call. Optional, defaults to false.
- **users** (boolean): Load users. Optional, defaults to false.
- **libraries** (boolean): Load libraries. Optional, defaults to false.
- **tags** (boolean): Load tags. Optional, defaults to false.
- **transcript** (boolean): Load transcript. Use this in order to perform a mass extract of calls with their transcript. Optional, defaults to false.
- **topics** (boolean): Load topics. Optional, defaults to false.
- **speakers** (boolean): Load speaker data: This option represents individuals who have spoken during a call. Speakers are typically a subset of users and contacts. However, there are two key scenarios:
-
Less Speakers Detected: The actual number of speakers may be less than the combined total of users and contacts, as our AI selectively identifies speakers based on the conversation's context.
-
Additional Speakers Identified: In cases where the AI identifies more speakers than the known users and contacts, "unknown speaker" contacts are created to account for these additional voices. This ensures that the total number of speakers does not exceed the sum of users, contacts, and these additional "unknown speaker" entities.
- **aiSummary** (boolean): Load AI summary. Use this if you want to export call summaries that are generated by Modjo's AI alongside with the calls. Optional, defaults to false.
Deprecated use "highlights" field instead
- **summary** (boolean): Load AI summary. Use this if you want to export call summaries that are generated by Modjo's AI alongside with the calls. Optional, defaults to false.
- **highlights** (boolean): Load Highlights. Use this if you want to export call highlights that are generated by Modjo's AI alongside with the calls. Optional, defaults to false.
- **reviews** (boolean): Load call reviews. Optional, defaults to false.
- **aiScoringResults** (boolean): Load AI scoring results. Optional, defaults to false.
### Responses
#### 201 - The request has been successfully processed and the response includes a paginated result. Each entry in the result set corresponds to the specified filters and relations for the call export. The pagination details and the actual call data are included in the response.
**ApiV1CallExportPaginationResult**
- **pagination** (object) (required)
- **page** (number) (required): The page number to retrieve. Starts at 1.
- **perPage** (number) (required): The number of items per page.
- **nextPage** (number): The page number of the next set of results, if available. Undefined if there is no subsequent page.
- **totalValues** (number) (required): The total number of values available across all pages.
- **lastPage** (number) (required): The page number of the last set of results, indicating the total number of pages available.
- **values** (array (array)) (required): Array of values for the current page. The type of values depends on the specific use case (e.g., calls, contacts).
#### 400 - The request body is invalid. Refer to the response body for details on the error.
The request body is invalid. Refer to the response body for details on the error.
#### 401 - The API key provided is either missing or invalid.
The API key provided is either missing or invalid.
### Example Usage
```bash
curl -X POST "https://api.example.com/v1/calls/exports" \
-H "Content-Type: application/json" \
-d '{
"pagination": "[object Object]",
"filters": {
"callStartDateRange": {
"start": "2024-01-01T00:00:00.000Z",
"end": "2026-06-19T00:00:00.000Z"
},
"minimumCallDuration": 60
},
"relations": {
"recording": true,
"aiSummary": true,
"transcript": true,
"speakers": true
}
}'
```
```
--------------------------------
### Schema: ApiCallUploadExternalTagDto
Source: https://api.modjo.ai/v1/swagger.json
Schema definition for ApiCallUploadExternalTagDto
```markdown
## Schema: ApiCallUploadExternalTagDto
Schema definition for ApiCallUploadExternalTagDto
**Type:** object
- **name** (string) (required): The label you'll see displayed within the app, also serving as a searchable keyword.
- **providerTagId** (string) (required): A unique identifier for your call tags. Use this ID for the ability to retroactively update the tag name or color across all imported calls.
- If you don't need this level of control, simply input the tag name.
- Caution: Generating a new unique ID for each call will result in the creation of a new tag.
- **color** (string): Tag Color: Specifies the color of the tag in the web application. Enter a 3 or 6 character hexadecimal color code, but omit the '#' symbol.
```
--------------------------------
### Schema: PaginationData
Source: https://api.modjo.ai/v1/swagger.json
Schema definition for PaginationData
```markdown
## Schema: PaginationData
Schema definition for PaginationData
**Type:** object
- **page** (number) (required): The page number to retrieve. Starts at 1.
- **perPage** (number) (required): The number of items per page.
- **nextPage** (number): The page number of the next set of results, if available. Undefined if there is no subsequent page.
- **totalValues** (number) (required): The total number of values available across all pages.
- **lastPage** (number) (required): The page number of the last set of results, indicating the total number of pages available.
```
--------------------------------
### Schema: ApiV1CallExportDto
Source: https://api.modjo.ai/v1/swagger.json
Schema definition for ApiV1CallExportDto
```markdown
## Schema: ApiV1CallExportDto
Schema definition for ApiV1CallExportDto
**Type:** object
- **pagination** (object)
- **page** (number) (required): The page number to retrieve. Starts at 1.
- **perPage** (number) (required): The number of calls per page.
- **filters** (object)
- **callStartDateRange** (object)
- **start** (string (date-time)) (required): Start date in ISO format
- **end** (string (date-time)) (required): End date in ISO format, which must be later than the start date
- **minimumCallDuration** (number): Minimum duration (in seconds) for calls to be included in the results.Calls with a duration greater than or equal to this value will be considered.This parameter is optional.
- **callTitle** (string): The title of the call, used for search queries. Providing a call title enables filtering the list of calls by their respective titles. This field is optional and requires a minimum length of 3 characters if specified.
- **callIds** (array (array)): Specifies a list of call IDs for filtering. Only calls with IDs in this list will be included in the results. This parameter is optional.
- **deletedRecording** (boolean): Retrieve all calls where the recording has been deleted.
- **relations** (object)
- **recording** (boolean): Load recordings. Optional, defaults to false.
- **contacts** (boolean): Load contacts. Optional, defaults to false.
- **account** (boolean): Load account related to the call. Optional, defaults to false.
- **deal** (boolean): Load deal related to the call. Optional, defaults to false.
- **users** (boolean): Load users. Optional, defaults to false.
- **libraries** (boolean): Load libraries. Optional, defaults to false.
- **tags** (boolean): Load tags. Optional, defaults to false.
- **transcript** (boolean): Load transcript. Use this in order to perform a mass extract of calls with their transcript. Optional, defaults to false.
- **topics** (boolean): Load topics. Optional, defaults to false.
- **speakers** (boolean): Load speaker data: This option represents individuals who have spoken during a call. Speakers are typically a subset of users and contacts. However, there are two key scenarios:
-
Less Speakers Detected: The actual number of speakers may be less than the combined total of users and contacts, as our AI selectively identifies speakers based on the conversation's context.
-
Additional Speakers Identified: In cases where the AI identifies more speakers than the known users and contacts, "unknown speaker" contacts are created to account for these additional voices. This ensures that the total number of speakers does not exceed the sum of users, contacts, and these additional "unknown speaker" entities.
- **aiSummary** (boolean): Load AI summary. Use this if you want to export call summaries that are generated by Modjo's AI alongside with the calls. Optional, defaults to false.
Deprecated use "highlights" field instead
- **summary** (boolean): Load AI summary. Use this if you want to export call summaries that are generated by Modjo's AI alongside with the calls. Optional, defaults to false.
- **highlights** (boolean): Load Highlights. Use this if you want to export call highlights that are generated by Modjo's AI alongside with the calls. Optional, defaults to false.
- **reviews** (boolean): Load call reviews. Optional, defaults to false.
- **aiScoringResults** (boolean): Load AI scoring results. Optional, defaults to false.
```
--------------------------------
### Schema: ApiV1PublicGetUserPaginationResult
Source: https://api.modjo.ai/v1/swagger.json
Schema definition for ApiV1PublicGetUserPaginationResult
```markdown
## Schema: ApiV1PublicGetUserPaginationResult
Schema definition for ApiV1PublicGetUserPaginationResult
**Type:** object
- **pagination** (object) (required)
- **page** (number) (required): The page number to retrieve. Starts at 1.
- **perPage** (number) (required): The number of items per page.
- **nextPage** (number): The page number of the next set of results, if available. Undefined if there is no subsequent page.
- **totalValues** (number) (required): The total number of values available across all pages.
- **lastPage** (number) (required): The page number of the last set of results, indicating the total number of pages available.
- **values** (array (ApiV1PublicGetUserDto)) (required): Array of users for the current page.
Array items:
- **id** (number) (required): Id of the user
- **email** (string) (required): Email of the user
- **firstName** (string): First name of the user
- **lastName** (string): Last name of the user
- **hasLicense** (boolean) (required): true when the user has a license, false otherwise
- **role** (string (user|manager|admin)) (required): Role of the user ("user"|"manager"|"admin")
- **teamIds** (array (array)): An array of all teams the user is in. If you want more details about those teams, use the Get Modjo teams API.
- **language** (string): Considered language code of the user
```
--------------------------------
### Schema: ApiV1CallPaginationDto
Source: https://api.modjo.ai/v1/swagger.json
Schema definition for ApiV1CallPaginationDto
```markdown
## Schema: ApiV1CallPaginationDto
Schema definition for ApiV1CallPaginationDto
**Type:** object
- **page** (number) (required): The page number to retrieve. Starts at 1.
- **perPage** (number) (required): The number of calls per page.
```
--------------------------------
### Schema: ApiV1CallExportSpeakerUserResult
Source: https://api.modjo.ai/v1/swagger.json
Schema definition for ApiV1CallExportSpeakerUserResult
```markdown
## Schema: ApiV1CallExportSpeakerUserResult
Schema definition for ApiV1CallExportSpeakerUserResult
**Type:** object
- **userId** (number) (required): Unique identifier of the user.
- **userCrmId** (object): CRM identifier of the user.
- **email** (string) (required): Email of the user.
- **name** (string) (required): Name of the user.
- **speakerId** (number) (required): Unique identifier of the speaker.
- **type** (string) (required): Type of the speaker (user)
```
--------------------------------
### Schema: ApiCallUploadAcknowledgementResponse
Source: https://api.modjo.ai/v1/swagger.json
Schema definition for ApiCallUploadAcknowledgementResponse
```markdown
## Schema: ApiCallUploadAcknowledgementResponse
Schema definition for ApiCallUploadAcknowledgementResponse
**Type:** object
- **success** (boolean) (required): Acknowledgement of your call upload request. If you provided a URL, we will download the recording within 30 minutes. Typically, this process is completed within 5 minutes.
```
--------------------------------
### Schema: ApiV1CallExportPaginationResult
Source: https://api.modjo.ai/v1/swagger.json
Schema definition for ApiV1CallExportPaginationResult
```markdown
## Schema: ApiV1CallExportPaginationResult
Schema definition for ApiV1CallExportPaginationResult
**Type:** object
- **pagination** (object) (required)
- **page** (number) (required): The page number to retrieve. Starts at 1.
- **perPage** (number) (required): The number of items per page.
- **nextPage** (number): The page number of the next set of results, if available. Undefined if there is no subsequent page.
- **totalValues** (number) (required): The total number of values available across all pages.
- **lastPage** (number) (required): The page number of the last set of results, indicating the total number of pages available.
- **values** (array (array)) (required): Array of values for the current page. The type of values depends on the specific use case (e.g., calls, contacts).
```
--------------------------------
### Schema: ApiCallUploadInternalTagDto
Source: https://api.modjo.ai/v1/swagger.json
Schema definition for ApiCallUploadInternalTagDto
```markdown
## Schema: ApiCallUploadInternalTagDto
Schema definition for ApiCallUploadInternalTagDto
**Type:** object
- **modjoTagId** (number) (required): Internal Modjo tag identifier
```
--------------------------------
### Schema: ApiV1PublicDeleteUsersDto
Source: https://api.modjo.ai/v1/swagger.json
Schema definition for ApiV1PublicDeleteUsersDto
```markdown
## Schema: ApiV1PublicDeleteUsersDto
Schema definition for ApiV1PublicDeleteUsersDto
**Type:** object
- **userIds** (array (number)) (required): Ids for the users to delete (example: [1,2])
```
--------------------------------
### Schema: ApiV1CallExportSpeakerContactResult
Source: https://api.modjo.ai/v1/swagger.json
Schema definition for ApiV1CallExportSpeakerContactResult
```markdown
## Schema: ApiV1CallExportSpeakerContactResult
Schema definition for ApiV1CallExportSpeakerContactResult
**Type:** object
- **contactId** (number) (required): Unique identifier of the contact.
- **name** (string) (required): Name of the contact.
- **phoneNumber** (object): Phone number of the contact.
- **email** (object): Email of the contact.
- **contactCrmId** (object): CRM identifier of the contact.
- **speakerId** (number) (required): Unique identifier of the speaker.
- **type** (string) (required): Type of the speaker (contact)
```
--------------------------------
### Schema: RangeDateDTO
Source: https://api.modjo.ai/v1/swagger.json
Schema definition for RangeDateDTO
```markdown
## Schema: RangeDateDTO
Schema definition for RangeDateDTO
**Type:** object
- **start** (string (date-time)) (required): Start date in ISO format
- **end** (string (date-time)) (required): End date in ISO format, which must be later than the start date
```
--------------------------------
### Schema: ApiV1CallExportFiltersDTO
Source: https://api.modjo.ai/v1/swagger.json
Schema definition for ApiV1CallExportFiltersDTO
```markdown
## Schema: ApiV1CallExportFiltersDTO
Schema definition for ApiV1CallExportFiltersDTO
**Type:** object
- **callStartDateRange** (object)
- **start** (string (date-time)) (required): Start date in ISO format
- **end** (string (date-time)) (required): End date in ISO format, which must be later than the start date
- **minimumCallDuration** (number): Minimum duration (in seconds) for calls to be included in the results.Calls with a duration greater than or equal to this value will be considered.This parameter is optional.
- **callTitle** (string): The title of the call, used for search queries. Providing a call title enables filtering the list of calls by their respective titles. This field is optional and requires a minimum length of 3 characters if specified.
- **callIds** (array (array)): Specifies a list of call IDs for filtering. Only calls with IDs in this list will be included in the results. This parameter is optional.
- **deletedRecording** (boolean): Retrieve all calls where the recording has been deleted.
```